FROM nginx:latest
RUN mkdir /certificates
COPY fullchain.pem /certificates/fullchain.pem
COPY privkey.pem /certificates/privkey.pem
COPY teletutoring /www/spa
COPY nginx.conf /etc/nginx/nginx.conf
CMD  sed -i -e 's/BACKEND_HOST/'"$BACKEND_HOST"'/g' /etc/nginx/nginx.conf;\
     sed -i -e 's/BACKEND_PORT/'"$BACKEND_PORT"'/g' /etc/nginx/nginx.conf;\
     nginx -g "daemon off;"
